<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-card>
          <v-card-title>{{ project.name }}</v-card-title>
          <v-card-subtitle>{{ project.description }}</v-card-subtitle>
          <v-card-text>
            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>Status</v-list-item-title>
                    <v-list-item-subtitle>{{ project.status }}</v-list-item-subtitle>
                  </v-list-item-content>
                </v-list-item>
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>Created At</v-list-item-title>
                    <v-list-item-subtitle>{{ project.createdAt }}</v-list-item-subtitle>
                  </v-list-item-content>
                </v-list-item>
                <!-- More project details here -->
              </v-col>
            </v-row>
          </v-card-text>
          <v-card-actions>
            <v-btn color="primary">Edit Project</v-btn>
            <v-btn color="red">Delete Project</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>
    </v-row>

    <!-- Additional Rows/Sections for services, logs, etc. -->

  </v-container>
</template>

<script>
export default {
  data() {
    return {
      project: {
        name: 'Project Name', // Replace with dynamic data
        description: 'Project Description',
        status: 'Active',
        createdAt: '2021-01-01'
        // Other project properties
      }
    };
  },

  // Fetch the project details using the project ID
  async created() {
    // Fetch project data from the API
    // this.project = await fetchProjectData(this.$route.params.id);
  }
};
</script>

<style scoped>
/* Custom styles for the project details page */
</style>
